Bug 44203 - Zope-zserver postun script deficiency
Zope-zserver postun script deficiency
Product: Red Hat Powertools
Classification: Retired
Component: Zope (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Powers
Depends On:
  Show dependency treegraph
Reported: 2001-06-11 23:18 EDT by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-11 23:18:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-06-11 23:18:44 EDT
Description of Problem:
The post-un script for Zope-zserver failes to remove BOTH the user and 
GROUP 'zope'

How Reproducible:
Install and then remove Zope-zserver -- Upon trying to re-install it (or do 
an upgrade) it will fail, due to the presence of the zope group already

Additional Information:
Relevant code segment is:

%postun zserver
  if [ $1 = 0 ] ; then
        userdel zope >/dev/null 2>&1 || :
  if [ "$1" -ge "1" ]; then
        /etc/rc.d/init.d/lpd condrestart > /dev/null 2>&1

Solution: add code  to strip out the group zope if the user is successfully 
Comment 1 Tim Powers 2001-10-11 10:36:39 EDT
Powertools is pretty much depricated now. I'll fix this the next time Zope needs
updating for security problems. I am closing this and marking it as "deferred".


Note You need to log in before you can comment on or make changes to this bug.